FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103010125.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103010125.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3dad028 OS_GIT_VERSION=4.7.0-202103010125.p0-3dad028 SOURCE_DATE_EPOCH=1610735235 SOURCE_GIT_COMMIT=3dad0280ea630cfcc87bcf02806c75b7a066d81e SOURCE_GIT_TAG=3dad028 SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
WORKDIR /go/src/github.com/kubernetes-csi/livenessprobe
COPY . .
RUN make build

FROM openshift/ose-base:v4.7.0.20210301.020426
ENV __doozer=update BUILD_RELEASE=202103010125.p0 BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202103010125.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=3dad028 OS_GIT_VERSION=4.7.0-202103010125.p0-3dad028 SOURCE_DATE_EPOCH=1610735235 SOURCE_GIT_COMMIT=3dad0280ea630cfcc87bcf02806c75b7a066d81e SOURCE_GIT_TAG=3dad028 SOURCE_GIT_URL=https://github.com/openshift/csi-livenessprobe 
COPY --from=builder /go/src/github.com/kubernetes-csi/livenessprobe/bin/livenessprobe /usr/bin/
ENTRYPOINT ["/usr/bin/livenessprobe"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="Liveness probe for CSI drivers" \
        io.k8s.display-name="Liveness probe for CSI drivers" \
        io.openshift.tags="csi,storage,probe" \
        vendor="Red Hat" \
        name="openshift/ose-csi-livenessprobe" \
        com.redhat.component="csi-livenessprobe-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202103010125.p0" \
        io.openshift.build.commit.id="3dad0280ea630cfcc87bcf02806c75b7a066d81e" \
        io.openshift.build.source-location="https://github.com/openshift/csi-livenessprobe" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-livenessprobe/commit/3dad0280ea630cfcc87bcf02806c75b7a066d81e" \
        version="v4.7.0"

